Bug 214426 - hal-device-manager doesn't start
hal-device-manager doesn't start
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-07 11:56 EST by sangu
Modified: 2013-03-05 22:47 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.5.8.1-6.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-15 09:00:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2006-11-07 11:56:26 EST
Description of problem:
$ hal-device-manager 
Traceback (most recent call last):
  File "/usr/bin/hal-device-manager", line 20, in ?
    DeviceManager()
  File "/usr/share/hal/device-manager/DeviceManager.py", line 66, in __init__
    lambda *args: self.gdl_changed("DeviceAdded", *args))
  File "/usr/lib/python2.4/site-packages/dbus/_dbus.py", line 291, in
connect_to_signal
    self._obj.connect_to_signal(signal_name, handler_function, dbus_interface,
**keywords)
  File "/usr/lib/python2.4/site-packages/dbus/proxies.py", line 151, in
connect_to_signal
    path=self._object_path,
  File "/usr/lib/python2.4/site-packages/dbus/_dbus.py", line 179, in
add_signal_receiver
    named_service = bus_object.GetNameOwner(named_service,
dbus_interface='org.freedesktop.DBus')
  File "/usr/lib/python2.4/site-packages/dbus/proxies.py", line 25, in __call__
    ret = self._proxy_method (*args, **keywords)
  File "/usr/lib/python2.4/site-packages/dbus/proxies.py", line 102, in __call__
    reply_message = self._connection.send_with_reply_and_block(message, timeout)
  File "dbus_bindings.pyx", line 455, in
dbus_bindings.Connection.send_with_reply_and_block
dbus_bindings.DBusException: Could not get owner of name 'org.freedesktop.Hal':
no such name


Version-Release number of selected component (if applicable):
0.5.8.1-4.fc6

How reproducible:
always

Steps to Reproduce:
1. $hal-device-manager
2.
3.
  
Actual results:


Expected results:


Additional info:
dbus-0.95-2.fc7
dbus-python-0.70-6

And Recent dbus-python version is 0.71.
http://dbus.freedesktop.org/releases/dbus-python/dbus-python-0.71.tar.gz

Note You need to log in before you can comment on or make changes to this bug.